--- ./util/startfluxbox.in.orig	2015-02-08 11:44:45.381187009 +0100
+++ ./util/startfluxbox.in	2016-11-19 09:49:47.825292320 +0100
@@ -33,26 +33,34 @@
     fi
     if [ ! -r "$startup" ]; then
         ( cat << EOF
-#!/bin/sh
 #
 # fluxbox startup-script:
 #
-# Lines starting with a '#' are ignored.
+# Adapted to Slint - Didier Spaier <didier~at~slint~dot~fr>
 
 # Change your keymap:
-xmodmap "$HOME/.Xmodmap"
-
-# Applications you want to run with fluxbox.
-# MAKE SURE THAT APPS THAT KEEP RUNNING HAVE AN ''&'' AT THE END.
-#
-# unclutter -idle 2 &
-# wmnd &
-# wmsmixer -w &
-# idesk &
-
-# And last but not least we start fluxbox.
-# Because it is the last app you have to run it with ''exec'' before it.
+xmodmap "~/.Xmodmap"
 
+# Refresh the application menu, included in the root menu
+if [ -x /usr/bin/xdgmenumaker ]; then
+	/usr/bin/xdgmenumaker -f fluxbox -i > ~/.fluxbox/xdg_menu &
+fi
+# start lxpanel
+export WINDOWMANAGER=fluxbox
+if [ -x /usr/libexec/slint/lxpanel.sh ]; then
+	/usr/libexec/slint/lxpanel.sh &
+fi
+# Start DBUS session bus:
+if [ -z "$DBUS_SESSION_BUS_ADDRESS" ]; then
+   eval $(dbus-launch --sh-syntax --exit-with-session)
+fi
+# We first remotely restart fluxbox so that the root menu includes the
+# application menu from the first start.
+# For this to work ~/.fluxbox/init includes this resource setting:
+# session.screen0.allowRemoteActions: true
+/usr/bin/setxkbmap
+fluxbox-remote restart
+sleep 1
 exec @pkgprefix@fluxbox@pkgsuffix@
 # or if you want to keep a log:
 # exec @pkgprefix@fluxbox@pkgsuffix@ -log "$fluxdir/log"
